summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2007-12-26 18:49:39 +0000
committerH. Peter Anvin <hpa@zytor.com>2007-12-26 18:49:39 +0000
commit94b8305f0c9e74ff4b29c572423d054c9202abb4 (patch)
treef0f30e17c031000bed270b948eb4f5cc3e653c8a
parent342aa4ba65d4a9795094cde463eb2840601f2511 (diff)
downloadnasmbuild-94b8305f0c9e74ff4b29c572423d054c9202abb4.tar.gz
nasmbuild-94b8305f0c9e74ff4b29c572423d054c9202abb4.tar.xz
nasmbuild-94b8305f0c9e74ff4b29c572423d054c9202abb4.zip
Make sure we run as nasmbuild
-rwxr-xr-xbuildall.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/buildall.sh b/buildall.sh
index c48ce60..734879e 100755
--- a/buildall.sh
+++ b/buildall.sh
@@ -14,6 +14,11 @@ export PATH=/home/nasmbuild/bin:/bin:/usr/bin:/usr/local/bin:/opt/watcom/bin
cd $here
+if [ `whoami` != nasmbuild ]; then
+ echo "$0: run me as nasmbuild, please" 1>&2
+ exit 1
+fi
+
build () {
version="$1"
outdir="$2"